Summary:        Instant messaging and VoIP Jabber client
Summary(pl):    Komunikator i VoIP Jabber klient
Name:           jabbin
Version:        2.0
Release:        0.6.beta2a%{?dist}
License:        GPLv2+
Group:          Applications/Communications
URL:            http://jabbin.com/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}beta2a.tar.bz2
Source1:        %{name}.desktop
Patch0:         jabbin-fix_x86_64_build.patch
Patch1:         jabbin-2.0beta2a-use-external.patch
Patch2:         jabbin-2.0beta2a-gcc43.patch
Patch3:         jabbin-2.0beta2a-compilation-flags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  desktop-file-utils qt-devel openssl-devel expat-devel speex-devel libXScrnSaver-devel qca-devel
Requires:       hicolor-icon-theme

%description
Jabbin is a Instant messaging and VoIP Jabber client.

%description -l pl
Jabbin to komunikator i VoIP Jabber klient.

%prep
%setup -qn jabbin-2.0beta2a
%patch0 -p 1
%patch1 -p 1
%patch2 -p 1
%patch3 -p 1
sed -i 's/\r//' README

%build
qmake jabbin.pro
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/certs
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/sound
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/iconsets
install -m 755 -p src/jabbin $RPM_BUILD_ROOT%{_bindir}
install -m 644 -p certs/readme certs/rootcert.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/certs

# Copy iconsets
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/iconsets/emoticons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/iconsets/roster/default
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/iconsets/system/default/clients
install -m 644 -p iconsets/emoticons/ikonboard-3.1.jisp $RPM_BUILD_ROOT%{_datadir}/%{name}/iconsets/emoticons/
install -m 644 -p iconsets/roster/readme $RPM_BUILD_ROOT%{_datadir}/%{name}/iconsets/roster/
install -m 644 -p iconsets/roster/default/{*.png,*.gif,*.xml} $RPM_BUILD_ROOT%{_datadir}/%{name}/iconsets/roster/default/
install -m 644 -p iconsets/system/readme $RPM_BUILD_ROOT%{_datadir}/%{name}/iconsets/system/
install -m 644 -p iconsets/system/default/{*.png,*.xml} $RPM_BUILD_ROOT%{_datadir}/%{name}/iconsets/system/default/
install -m 644 -p iconsets/system/default/clients/*.png $RPM_BUILD_ROOT%{_datadir}/%{name}/iconsets/system/default/clients/
install -m 644 -p sound/*wav $RPM_BUILD_ROOT%{_datadir}/%{name}/sound

# Copy icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -m 644 -p iconsets/system/default/icon_32.png   $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/jabbin.png
install -m 644 -p iconsets/system/default/icon_48.png   $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/jabbin.png

# Desktop file
desktop-file-install --vendor="fedora"               \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-, root, root, -)
%doc CHANGES COPYING README
%{_bindir}/jabbin
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/32x32/apps/jabbin.png
%{_datadir}/icons/hicolor/48x48/apps/jabbin.png
%{_datadir}/applications/fedora-jabbin.desktop

%changelog
* Sun Feb 10 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 2.0-0.6.beta2a
- Fix license tag
- Add polish summary and description

* Sun Feb 10 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 2.0-0.5.beta2a
- Add jabbin-2.0beta2a-compilation-flags patch
- Correct install section
- Fix license tag

* Sun Feb 10 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 2.0-0.4.beta2a
- Add jabbin-2.0beta2a-gcc43 patch

* Tue Feb 05 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 2.0-0.3.beta2a
- Add jabbin-2.0beta2a-use-external patch

* Thu Dec 27 2007 Krzysztof Kurzawski <kurzawax at gmail.com> - 2.0-0.2.beta2a
- Correct version

* Thu Dec 20 2007 Krzysztof Kurzawski <kurzawax at gmail.com> - 2.0-1.beta2a
- First release
